%global momorel 3

Summary: Simple kernel loader which boots from a FAT filesystem
Name: syslinux
Version: 3.36
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://syslinux.zytor.com
%NoSource 0 ftp://ftp.kernel.org/pub/linux/utils/boot/%{name}/%{name}-%{version}.tar.bz2 d1bfdaa53d31f572f540be55d1480027
Patch0: syslinux-2.08-x86_64.patch
Patch3: syslinux-3.36.patch
Patch4: syslinux-3.36-16bpp.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: %{ix86} athlon x86_64
BuildRequires: nasm >= 0.98.35
BuildRequires: perl, netpbm-progs
AutoReq: 0
%ifarch %{ix86} athlon
Requires: mtools, libc.so.6
%endif
%ifarch x86_64
Requires: mtools, libc.so.6()(64bit)
%endif

# NOTE: extlinux belongs in /sbin, not in /usr/sbin, since it is typically
# a system bootloader, and may be necessary for system recovery.
%define _sbindir /sbin

%package devel
Summary: Development environment for SYSLINUX add-on modules
Group: Development/Libraries

%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%description devel
The SYSLINUX boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.

%prep
%setup -q
%patch0 -p1 -b .x86_64
%patch3 -p1
%patch4 -p1

%build
CFLAGS="-Werror -Wno-unused -finline-limit=2000"
export CFLAGS
# If you make clean here, we lose the provided syslinux.exe
#make clean
make installer
make -C sample tidy

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}/syslinux
mkdir -p %{buildroot}%{_includedir}

make install-all \
  INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
  LIBDIR=%{_prefix}/lib INCDIR=%{_includedir}
cp mkdiskimage sys2ansi.pl keytab-lilo.pl %{buildroot}%{_prefix}/lib/syslinux
install -m 755 unix/syslinux-nomtools %{buildroot}%{_prefix}/lib/syslinux
install -m 755 unix/syslinux %{buildroot}%{_prefix}/lib/syslinux

mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}/sample
install -m 644 sample/sample.* %{buildroot}/%{_docdir}/%{name}-%{version}/sample/

# don't ship libsyslinux, at least, not for now
rm -f %{buildroot}%{_prefix}/lib/libsyslinux*
rm -f %{buildroot}%{_includedir}/syslinux.h

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS README* TODO COPYING 
%doc *.doc memdisk/*.doc
%{_bindir}/syslinux
%{_sbindir}/extlinux
%{_bindir}/ppmtolss16
%{_bindir}/lss16toppm
%{_bindir}/gethostip
%{_prefix}/lib/syslinux/*.com
%{_prefix}/lib/syslinux/*.exe
%{_prefix}/lib/syslinux/*.c32
%{_prefix}/lib/syslinux/*.bin
%{_prefix}/lib/syslinux/*.0
%{_prefix}/lib/syslinux/memdisk
%{_prefix}/lib/syslinux/*.pl
%{_prefix}/lib/syslinux/mkdiskimage
%{_prefix}/lib/syslinux/syslinux
%{_prefix}/lib/syslinux/syslinux-nomtools

%files devel
%defattr(-,root,root)
%doc sample
%{_prefix}/lib/syslinux/com32

%changelog
* Mon Jun 18 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.36-3m)
- delete Patch1(syslinux-3.31-time.patch)

* Mon Jun 18 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.36-2m)
- add patch3 and patch4
- fix countdown on boot images (#229491)
- switch to preferring 16bpp for graphical menu; this fixes the display for
  qemu, kvm, etc

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.36-1m)
- version up
- sync with fc-devel

* Sun Jan  8 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.10-1m)
- version up
- sync with fc-devel

* Mon Feb 14 2005 Toru Hoshina <t@momonga-linux.org>
- (2.11-1m)
- ver up.

* Mon Jan 12 2004 Kenta MURATA <muraken2@nifty.com>
- (2.08-1m)
- version 2.08.

* Wed Apr 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.04-1m)
  update to 2.04

* Sun Apr 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.03-1m)
  update to 2.03

* Sun Feb 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.02-1m)
  update to 2.02

* Fri Jul 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.67-7m)
- add more documents

* Sun Apr  21 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.67-6k)
- BuildRequires: netpbm-progs

* Sun Apr  14 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.67-4k)
- nasm 0.98.22 hitsuyo-

* Fri Apr  12 2002 Toru Hoshina <t@kondara.org>
- (1.67-2k)
- ver up. from mandrake...

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (1.66-2k)
- update to 1.66

* Tue Oct  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.63-2k)
- update to 1.63

* Wed May 02 2001 Motonobu Ichimura <famao@kondara.org>
- up to 1.62

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
